---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/Tab.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Tab.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_TAB_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_TAB_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/Label.hpp&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">class </span>TabRenderer;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html">   49</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1Tab.html">Tab</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1Widget.html">Widget</a></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">   53</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;Tab&gt; <a class="code" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Ptr</a>; </div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">   54</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const Tab&gt; <a class="code" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">ConstPtr</a>; </div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1Tab.html">Tab</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Tab::Ptr</a> create();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Tab::Ptr</a> copy(<a class="code" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">Tab::ConstPtr</a> tab);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#a0b6d427700a745d7b5a756936e1c2fd3">   89</a></span>&#160;        std::shared_ptr&lt;TabRenderer&gt; <a class="code" href="classtgui_1_1Tab.html#a0b6d427700a745d7b5a756936e1c2fd3">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1TabRenderer.html">TabRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        }</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; position) <span class="keyword">override</span>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">Transformable::setPosition</a>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#af84d02e59ec7864c2bc3103dbc0e463f">  133</a></span>&#160;        <span class="keyword">virtual</span> sf::Vector2f <a class="code" href="classtgui_1_1Tab.html#af84d02e59ec7864c2bc3103dbc0e463f">getSize</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            <span class="keywordflow">return</span> {m_width, m_tabHeight};</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        }</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        std::size_t add(<span class="keyword">const</span> sf::String&amp; text, <span class="keywordtype">bool</span> select = <span class="keyword">true</span>);</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        <span class="keywordtype">void</span> insert(std::size_t index, <span class="keyword">const</span> sf::String&amp; text, <span class="keywordtype">bool</span> select = <span class="keyword">true</span>);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        sf::String getText(std::size_t index) <span class="keyword">const</span>;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        <span class="keywordtype">bool</span> changeText(std::size_t index, <span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;        <span class="keywordtype">void</span> select(<span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;        <span class="keywordtype">void</span> select(std::size_t index);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        <span class="keywordtype">void</span> deselect();</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;        <span class="keywordtype">void</span> <span class="keyword">remove</span>(<span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;        <span class="keywordtype">void</span> <span class="keyword">remove</span>(std::size_t index);</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;        <span class="keywordtype">void</span> removeAll();</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#afc201a2c0a1241a93b79795bc0fce713">  272</a></span>&#160;        sf::String <a class="code" href="classtgui_1_1Tab.html#afc201a2c0a1241a93b79795bc0fce713">getSelected</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;            <span class="keywordflow">return</span> (m_selectedTab &gt;= 0) ? m_tabTexts[m_selectedTab].getText() : <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;        }</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00287"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#a60a2c2051801ddceb003d786ea22661c">  287</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classtgui_1_1Tab.html#a60a2c2051801ddceb003d786ea22661c">getSelectedIndex</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;            <span class="keywordflow">return</span> m_selectedTab;</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;        }</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;        <span class="keywordtype">void</span> setTextSize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getTextSize() <span class="keyword">const</span>;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;        <span class="keywordtype">void</span> setTabHeight(<span class="keywordtype">float</span> height);</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;</div><div class="line"><a name="l00329"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#a30952836afebeb963af9c4cc0cbb9d67">  329</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1Tab.html#a30952836afebeb963af9c4cc0cbb9d67">getTabHeight</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;            <span class="keywordflow">return</span> m_tabHeight;</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;        }</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;        <span class="keywordtype">void</span> setMaximumTabWidth(<span class="keywordtype">float</span> maximumWidth);</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;</div><div class="line"><a name="l00356"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#a597555cd1399cfa556986c0669801583">  356</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1Tab.html#a597555cd1399cfa556986c0669801583">getMaximumTabWidth</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;            <span class="keywordflow">return</span> m_maximumTabWidth;</div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;        }</div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;</div><div class="line"><a name="l00368"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#a5f08cf18df3584bc0927e39ed0498724">  368</a></span>&#160;        std::size_t <a class="code" href="classtgui_1_1Tab.html#a5f08cf18df3584bc0927e39ed0498724">getTabsCount</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;            <span class="keywordflow">return</span> m_tabTexts.size();</div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;        }</div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;</div><div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;</div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOpacity(<span class="keywordtype">float</span> opacity) <span class="keyword">override</span>;</div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;</div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getWidgetOffset() <span class="keyword">const override</span>;</div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;</div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;</div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">bool</span> mouseOnWidget(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">const override</span>;</div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;</div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMousePressed(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;</div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;        <span class="comment">// Recalculates the size of each tab image.</span></div><div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> recalculateTabsWidth();</div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;</div><div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;</div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> reload(<span class="keyword">const</span> std::string&amp; primary = <span class="stringliteral">&quot;&quot;</span>, <span class="keyword">const</span> std::string&amp; secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;</div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00433"></a><span class="lineno"><a class="line" href="classtgui_1_1Tab.html#aa0ed43d969e3d04e385fd0e19d79a203">  433</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1Tab.html#aa0ed43d969e3d04e385fd0e19d79a203">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;Tab&gt;(*this);</div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;        }</div><div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;</div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;</div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;</div><div class="line"><a name="l00444"></a><span class="lineno">  444</span>&#160;</div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> m_requestedTextSize = 0;</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> m_textSize = 22;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;        <span class="keywordtype">float</span>              m_maximumTabWidth = 0;</div><div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;        <span class="keywordtype">int</span>                m_selectedTab = -1;</div><div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160;</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;        <span class="keywordtype">float</span>              m_width = 0;</div><div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;        <span class="keywordtype">float</span>              m_tabHeight = 0;</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;        std::vector&lt;float&gt; m_tabWidth;</div><div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;</div><div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;        std::vector&lt;Label&gt; m_tabTexts;</div><div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;</div><div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1TabRenderer.html">TabRenderer</a>;</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;    };</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;</div><div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160;</div><div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;</div><div class="line"><a name="l00467"></a><span class="lineno"><a class="line" href="classtgui_1_1TabRenderer.html">  467</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1TabRenderer.html">TabRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a></div><div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;    {</div><div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;</div><div class="line"><a name="l00477"></a><span class="lineno"><a class="line" href="classtgui_1_1TabRenderer.html#a2588dd7a15f6cf228b85b81fa2038741">  477</a></span>&#160;        <a class="code" href="classtgui_1_1TabRenderer.html#a2588dd7a15f6cf228b85b81fa2038741">TabRenderer</a>(<a class="code" href="classtgui_1_1Tab.html">Tab</a>* tab) : m_tab{tab} {}</div><div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;</div><div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;</div><div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160;</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&amp;&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;</div><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;</div><div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> getProperty(std::string property) <span class="keyword">const override</span>;</div><div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;</div><div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;        <span class="keyword">virtual</span> std::map&lt;std::string, ObjectConverter&gt; getPropertyValuePairs() <span class="keyword">const override</span>;</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;</div><div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;</div><div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;        <span class="keywordtype">void</span> setTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;</div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;</div><div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;        <span class="keywordtype">void</span> setSelectedTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;</div><div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;</div><div class="line"><a name="l00552"></a><span class="lineno">  552</span>&#160;        <span class="keywordtype">void</span> setDistanceToSide(<span class="keywordtype">float</span> distanceToSide);</div><div class="line"><a name="l00553"></a><span class="lineno">  553</span>&#160;</div><div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;        <span class="keywordtype">void</span> setBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;        <span class="keywordtype">void</span> setSelectedBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;</div><div class="line"><a name="l00576"></a><span class="lineno">  576</span>&#160;</div><div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;        <span class="keywordtype">void</span> setBorderColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00584"></a><span class="lineno">  584</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;</div><div class="line"><a name="l00595"></a><span class="lineno">  595</span>&#160;        <span class="keywordtype">void</span> setNormalTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00596"></a><span class="lineno">  596</span>&#160;</div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;        <span class="keywordtype">void</span> setSelectedTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;</div><div class="line"><a name="l00611"></a><span class="lineno">  611</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const</span>;</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;</div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00618"></a><span class="lineno">  618</span>&#160;</div><div class="line"><a name="l00620"></a><span class="lineno">  620</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00622"></a><span class="lineno">  622</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00623"></a><span class="lineno">  623</span>&#160;</div><div class="line"><a name="l00624"></a><span class="lineno">  624</span>&#160;</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00627"></a><span class="lineno">  627</span>&#160;</div><div class="line"><a name="l00628"></a><span class="lineno">  628</span>&#160;        <a class="code" href="classtgui_1_1Tab.html">Tab</a>* m_tab;</div><div class="line"><a name="l00629"></a><span class="lineno">  629</span>&#160;</div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>              m_textureNormal;</div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>              m_textureSelected;</div><div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;        std::vector&lt;Texture&gt; m_texturesNormal;</div><div class="line"><a name="l00633"></a><span class="lineno">  633</span>&#160;        std::vector&lt;Texture&gt; m_texturesSelected;</div><div class="line"><a name="l00634"></a><span class="lineno">  634</span>&#160;</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;        sf::Color m_textColor;</div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;        sf::Color m_selectedTextColor;</div><div class="line"><a name="l00637"></a><span class="lineno">  637</span>&#160;</div><div class="line"><a name="l00638"></a><span class="lineno">  638</span>&#160;        sf::Color m_backgroundColor;</div><div class="line"><a name="l00639"></a><span class="lineno">  639</span>&#160;        sf::Color m_selectedBackgroundColor;</div><div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;        sf::Color m_borderColor;</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;</div><div class="line"><a name="l00643"></a><span class="lineno">  643</span>&#160;        <span class="comment">// The distance between the side of the tab and the text that is drawn on top of the tab.</span></div><div class="line"><a name="l00644"></a><span class="lineno">  644</span>&#160;        <span class="keywordtype">float</span> m_distanceToSide = 5;</div><div class="line"><a name="l00645"></a><span class="lineno">  645</span>&#160;</div><div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1Tab.html">Tab</a>;</div><div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;</div><div class="line"><a name="l00649"></a><span class="lineno">  649</span>&#160;    };</div><div class="line"><a name="l00650"></a><span class="lineno">  650</span>&#160;</div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;}</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;</div><div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;</div><div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;</div><div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;<span class="preprocessor">#endif // TGUI_TAB_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_a5f08cf18df3584bc0927e39ed0498724"><div class="ttname"><a href="classtgui_1_1Tab.html#a5f08cf18df3584bc0927e39ed0498724">tgui::Tab::getTabsCount</a></div><div class="ttdeci">std::size_t getTabsCount() const </div><div class="ttdoc">Returns the amount of tabs. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:368</div></div>
<div class="ttc" id="classtgui_1_1Color_html"><div class="ttname"><a href="classtgui_1_1Color.html">tgui::Color</a></div><div class="ttdoc">Implicit converter for colors. </div><div class="ttdef"><b>Definition:</b> Color.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_a597555cd1399cfa556986c0669801583"><div class="ttname"><a href="classtgui_1_1Tab.html#a597555cd1399cfa556986c0669801583">tgui::Tab::getMaximumTabWidth</a></div><div class="ttdeci">float getMaximumTabWidth() const </div><div class="ttdoc">Returns the maximum tab width of the tabs. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:356</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_a60a2c2051801ddceb003d786ea22661c"><div class="ttname"><a href="classtgui_1_1Tab.html#a60a2c2051801ddceb003d786ea22661c">tgui::Tab::getSelectedIndex</a></div><div class="ttdeci">int getSelectedIndex() const </div><div class="ttdoc">Get the index of the currently selected tab. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:287</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_aef14a1428f63eeb8bd820a1b4821a3d0"><div class="ttname"><a href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable::setPosition</a></div><div class="ttdeci">virtual void setPosition(const Layout2d &amp;position)</div><div class="ttdoc">set the position of the widget </div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1ObjectConverter_html"><div class="ttname"><a href="classtgui_1_1ObjectConverter.html">tgui::ObjectConverter</a></div><div class="ttdoc">Implicit converter for settable properties. </div><div class="ttdef"><b>Definition:</b> ObjectConverter.hpp:42</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_a30952836afebeb963af9c4cc0cbb9d67"><div class="ttname"><a href="classtgui_1_1Tab.html#a30952836afebeb963af9c4cc0cbb9d67">tgui::Tab::getTabHeight</a></div><div class="ttdeci">float getTabHeight() const </div><div class="ttdoc">Returns the height of the tabs. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:329</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_a9971b145a402f8dc201122a8454e8d3b"><div class="ttname"><a href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">tgui::Tab::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const Tab &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:54</div></div>
<div class="ttc" id="classtgui_1_1Tab_html"><div class="ttname"><a href="classtgui_1_1Tab.html">tgui::Tab</a></div><div class="ttdoc">Tab widget. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:49</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_afc201a2c0a1241a93b79795bc0fce713"><div class="ttname"><a href="classtgui_1_1Tab.html#afc201a2c0a1241a93b79795bc0fce713">tgui::Tab::getSelected</a></div><div class="ttdeci">sf::String getSelected() const </div><div class="ttdoc">Get the text that is drawn on the currently selected tab. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:272</div></div>
<div class="ttc" id="classtgui_1_1Texture_html"><div class="ttname"><a href="classtgui_1_1Texture.html">tgui::Texture</a></div><div class="ttdef"><b>Definition:</b> Texture.hpp:44</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_af84d02e59ec7864c2bc3103dbc0e463f"><div class="ttname"><a href="classtgui_1_1Tab.html#af84d02e59ec7864c2bc3103dbc0e463f">tgui::Tab::getSize</a></div><div class="ttdeci">virtual sf::Vector2f getSize() const  override</div><div class="ttdoc">Returns the size of the tabs. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:133</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_aa0ed43d969e3d04e385fd0e19d79a203"><div class="ttname"><a href="classtgui_1_1Tab.html#aa0ed43d969e3d04e385fd0e19d79a203">tgui::Tab::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:433</div></div>
<div class="ttc" id="classtgui_1_1TabRenderer_html_a2588dd7a15f6cf228b85b81fa2038741"><div class="ttname"><a href="classtgui_1_1TabRenderer.html#a2588dd7a15f6cf228b85b81fa2038741">tgui::TabRenderer::TabRenderer</a></div><div class="ttdeci">TabRenderer(Tab *tab)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:477</div></div>
<div class="ttc" id="classtgui_1_1TabRenderer_html"><div class="ttname"><a href="classtgui_1_1TabRenderer.html">tgui::TabRenderer</a></div><div class="ttdef"><b>Definition:</b> Tab.hpp:467</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_ab84d395742e1b0f4eb576a9e0e030087"><div class="ttname"><a href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">tgui::Tab::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Tab &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Tab.hpp:53</div></div>
<div class="ttc" id="classtgui_1_1Tab_html_a0b6d427700a745d7b5a756936e1c2fd3"><div class="ttname"><a href="classtgui_1_1Tab.html#a0b6d427700a745d7b5a756936e1c2fd3">tgui::Tab::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; TabRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> Tab.hpp:89</div></div>
<div class="ttc" id="classtgui_1_1WidgetRenderer_html"><div class="ttname"><a href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></div><div class="ttdoc">Base class for all renderer classes. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:682</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
